<?php

namespace 2\1\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use 2\1\Interfaces\VALUERepositoryInterface;

class VALUEPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \2\VALUE\Interfaces\VALUERepositoryInterface $v_a_l_u_e
     *
     * @return type
     */
    public function __construct(VALUERepositoryInterface $v_a_l_u_e)
    {
        $this->model = $v_a_l_u_e;
        parent::__construct();
    }

    /**
     * Show v_a_l_u_e's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $v_a_l_u_e_s = $this->model->all();

        return $this->theme->of('1::public.v_a_l_u_e.index', compact('v_a_l_u_e_s'))->render();
    }

    /**
     * Show v_a_l_u_e.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $v_a_l_u_e = $this->model->findBySlug($slug);

        return $this->theme->of('1::public.v_a_l_u_e.show', compact('v_a_l_u_e'))->render();
    }
}
